Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517401

Summary: nmcli edit hangs on quit after activate
Product: [Fedora] Fedora Reporter: Bruno A. Crespo <bruno>
Component: NetworkManagerAssignee: Beniamino Galvani <bgalvani>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 26CC: alexl, bgalvani, dcbw, fgiudici, gnome-sig, john.j5live, lkundrak, mclasen, rhughes, rstrode, sandmann, thaller
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:10:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
partial screenshot showing the problem, nmcli terminated with Ctrl-C
none
[PATCH] cli: exit from main loop after 'quit' editor command none

Description Bruno A. Crespo 2017-11-24 22:00:05 UTC
Created attachment 1358815 [details]
partial screenshot showing the problem, nmcli terminated with Ctrl-C

Description of problem:

nmcli edit con hangs on quit if you activate the connection during your editing session

Version-Release number of selected component (if applicable):

NetworkManager-1.8.2-1.fc26.x86_64

How reproducible:

Always

Steps to Reproduce:
1. nmcli edit con ens33
2. nmcli> activate
3. nmcli> quit

Actual results:

nmcli hangs and never terminates.  You must press Ctrl-C

Expected results:

nmcli quits cleanly


Additional info:

Verified in two Fedora systems.

Comment 1 Beniamino Galvani 2017-11-27 14:58:01 UTC
Created attachment 1359496 [details]
[PATCH] cli: exit from main loop after 'quit' editor command

Comment 2 Thomas Haller 2017-11-29 08:51:08 UTC
(In reply to Beniamino Galvani from comment #1)
> Created attachment 1359496 [details]
> [PATCH] cli: exit from main loop after 'quit' editor command

lgtm

Comment 3 Beniamino Galvani 2017-11-29 10:15:03 UTC
Applied to master:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=21cfeff7776cfaf2b64edca0fdbc10bff93730a8

and backported to 1.10 and 1.8 stable branches.

Comment 4 Fedora End Of Life 2018-05-03 08:27:47 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 12:10:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.